Bug 447717 - Not working DRI with driver "radeon" at videocard X1950 GT
Not working DRI with driver "radeon" at videocard X1950 GT
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 07:39 EDT by eagle
Modified: 2009-07-14 13:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log from X server (80.71 KB, text/plain)
2008-05-21 07:39 EDT, eagle
no flags Details
New log from X server (46.69 KB, application/octet-stream)
2008-06-03 05:05 EDT, eagle
no flags Details

  None (edit)
Description eagle 2008-05-21 07:39:53 EDT
Description of problem:

Not working DRI with driver "radeon" at videocard X1950 GT (AGP rev.)

My xorg.conf:

# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"

# keyboard added by rhpxl
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	ModelName    "LCD Panel 1280x1024"
	HorizSync    31.5 - 64.0
	VertRefresh  56.0 - 65.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1280x1024" "1280x960" "1152x864" "1024x768" "832x624" "800x600"
"720x400" "640x480"
	EndSubSection
EndSection


[root@orlov eagle]# glxinfo |grep direct
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
OpenGL renderer string: Mesa GLX Indirect

[root@orlov eagle]# cat /var/log/Xorg.0.log|grep EE
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(II) Loading extension MIT-SCREEN-SAVER
(EE) RADEON(0): [dri] RADEONDRIGetVersion failed to open the DRM

[root@orlov eagle]# modprobe radeon
FATAL: Error inserting radeon
(/lib/modules/2.6.25.3-18.fc9.i686/kernel/drivers/char/drm/radeon.ko): Unknown
symbol in module, or unknown parameter (see dmesg)

[root@orlov eagle]# dmesg 
...
radeon: Unknown symbol drm_open
radeon: Unknown symbol drm_fasync
radeon: Unknown symbol drm_poll
radeon: Unknown symbol drm_get_resource_len
radeon: Unknown symbol drm_core_get_reg_ofs
radeon: Unknown symbol drm_irq_uninstall
radeon: Unknown symbol drm_ioctl
radeon: Unknown symbol drm_exit
radeon: Unknown symbol drm_getsarea
radeon: Unknown symbol drm_debug
radeon: Unknown symbol drm_core_ioremapfree
radeon: Unknown symbol drm_core_get_map_ofs
radeon: Unknown symbol drm_init
radeon: Unknown symbol drm_addmap
radeon: Unknown symbol drm_get_resource_start
radeon: Unknown symbol drm_vbl_send_signals
radeon: Unknown symbol drm_ati_pcigart_init
radeon: Unknown symbol drm_core_ioremap
radeon: Unknown symbol drm_rmmap
radeon: Unknown symbol drm_mmap
radeon: Unknown symbol drm_order
radeon: Unknown symbol drm_ati_pcigart_cleanup
radeon: Unknown symbol drm_core_reclaim_buffers
radeon: Unknown symbol drm_release


Version-Release number of selected component (if applicable):

[root@orlov eagle]# rpm -qa|grep xorg-x11-drv-ati
xorg-x11-drv-ati-6.8.0-14.fc9.i386

How reproducible:

always at start X-server


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 eagle 2008-05-21 07:39:53 EDT
Created attachment 306232 [details]
Log from X server
Comment 2 Dave Airlie 2008-06-03 01:14:06 EDT
have you installed fglrx or some upstream packages? it looks like your radeon
and drm modules are different.

what does modprobe drm say?

it might be a bad kernel install.
Comment 3 eagle 2008-06-03 04:13:06 EDT
Only radeon and radeonhd drivers installed.

Unfortunately, I`m updated mesaGL from official repo, now X-server whith radeon
driver after start show black screen and don`t respond on keyboard push.

[root@orlov]# locate radeon.ko
/lib/modules/2.6.25-14.fc9.i686/kernel/drivers/char/drm/radeon.ko
/lib/modules/2.6.25.3-18.fc9.i686/kernel/drivers/char/drm/radeon.ko
[root@orlov]# locate drm.ko
/lib/modules/2.6.25-14.fc9.i686/kernel/drivers/char/drm/drm.ko
/lib/modules/2.6.25.3-18.fc9.i686/kernel/drivers/char/drm/drm.ko

I`m swith to radeonhd driver, but not have idea how get log X-server from work
with radeon driver
Comment 4 eagle 2008-06-03 05:05:25 EDT
Created attachment 308219 [details]
New log from X server
Comment 5 eagle 2008-06-03 05:09:16 EDT
Comment on attachment 308219 [details]
New log from X server

This log get in with radeon drivers
Comment 6 Bug Zapper 2009-06-09 21:03:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:30:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.